## FlatpakInstalledRef FlatpakInstalledRef — Installed application reference |

## Functions

const char * | flatpak_installed_ref_get_deploy_dir ()
guint64 | flatpak_installed_ref_get_installed_size ()
gboolean | flatpak_installed_ref_get_is_current ()
const char * | flatpak_installed_ref_get_latest_commit ()
const char * | flatpak_installed_ref_get_origin ()
GBytes * | flatpak_installed_ref_load_metadata ()
const char * const * | flatpak_installed_ref_get_subpaths ()

## Properties

gchar * | deploy-dir | Read / Write
guint64 | installed-size | Read / Write
gboolean | is-current | Read / Write
gchar * | latest-commit | Read / Write
gchar * | origin | Read / Write
GStrv | subpaths | Read / Write

## Types and Values

struct | FlatpakInstalledRef

## Object Hierarchy

        GObject
        ╰── FlatpakRef
            ╰── FlatpakInstalledRef

## Description

A FlatpakInstalledRef provides information about an installed application or runtime (in short: ref), such as the available builds, its size, location, etc.

## Functions

### flatpak_installed_ref_get_deploy_dir ()

    const char *
    flatpak_installed_ref_get_deploy_dir (FlatpakInstalledRef *self);

Gets the deploy dir of the ref.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the deploy dir.

[transfer none]

### flatpak_installed_ref_get_installed_size ()

    guint64
    flatpak_installed_ref_get_installed_size
                                   (FlatpakInstalledRef *self);

Returns the installed size of the ref.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the installed size

### flatpak_installed_ref_get_is_current ()

    gboolean
    flatpak_installed_ref_get_is_current (FlatpakInstalledRef *self);

Returns whether the ref is current.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

`TRUE` if the ref is current

### flatpak_installed_ref_get_latest_commit ()

    const char *
    flatpak_installed_ref_get_latest_commit
                                   (FlatpakInstalledRef *self);

Gets the latest commit of the ref.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the latest commit.

[transfer none]

### flatpak_installed_ref_get_origin ()

    const char *
    flatpak_installed_ref_get_origin (FlatpakInstalledRef *self);

Gets the origin of the ref.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

the origin.

[transfer none]

### flatpak_installed_ref_load_metadata ()

    GBytes *
    flatpak_installed_ref_load_metadata (FlatpakInstalledRef *self,
                                         GCancellable *cancellable,
                                         GError **error);

Loads the metadata file for this ref.

#### Parameters

self | a FlatpakInstalledRef |
cancellable | a GCancellable. | [nullable]
error | a return location for a GError |

#### Returns

a GBytes containing the metadata file, or `NULL` if an error occurred.

[transfer full]

### flatpak_installed_ref_get_subpaths ()

    const char * const *
    flatpak_installed_ref_get_subpaths (FlatpakInstalledRef *self);

Returns the subpaths that are installed, or `NULL` if all files installed.

#### Parameters

self | a FlatpakInstalledRef |

#### Returns

A strv, or `NULL`.

[transfer none]

## Types and Values

### struct FlatpakInstalledRef

    struct FlatpakInstalledRef;

## Property Details

### The `“deploy-dir”` property

      “deploy-dir”               gchar *

Where the application is installed.

Flags: Read / Write

Default value: NULL

### The `“installed-size”` property

      “installed-size”           guint64

The installed size of the application.

Flags: Read / Write

Default value: 0

### The `“is-current”` property

      “is-current”               gboolean

Whether the application is current.

Flags: Read / Write

Default value: FALSE

### The `“latest-commit”` property

      “latest-commit”            gchar *

The latest commit.

Flags: Read / Write

Default value: NULL

### The `“origin”` property

      “origin”                   gchar *

The origin.

Flags: Read / Write

Default value: NULL

### The `“subpaths”` property

      “subpaths”                 GStrv

Flags: Read / Write